Subscribe for automatic updates: RSS icon RSS

Login icon Sign in for full access | Help icon Help
Advanced search

Pages: [1]
  Reply  |  Print  
Author Topic: GMA-1467 - Gradle repositories issue  (Read 8316 times)
Christine R.
Four Js
Posts: 286


« on: October 30, 2018, 11:13:42 am »

Dear Customers,

Since October 24th, building a Genero Mobile for Android (GMA) application can generate an error.

The error happened when the GMA build tool downloads the Google Gradle libraries from 2 repositories (google and jcenter). On October 24th, there was a change in the jcenter repository, whereas the repository no longer delivers some of the required libraries. As a result, an error is raised; the error is a library dependency issue.

To fix the problem:

    1 - Build your apk.
       You get the error message, but keep the "distbin" directory which has been created in the GST project directory.
    2 - Replace the file <project_path>/distbin/gma/project/build.gradle by the attached file.
       Create a backup of the original file before you make the replacement!
    3 - Rebuild your application.
   At this point, the build of the application should succeed. If it continues to fail, please contact your support center.

Sorry for the inconvenience. A quick search on the internet shows that other Android developers are complaining about the jcenter repository change - we are not alone! We hope that within a short period of time, the jcenter repository will work as expected.

Best regards,

Four Js - Support

* build.zip (0.59 KB - downloaded 323 times.)
Olivier E.
Four Js
Posts: 165


« Reply #1 on: October 30, 2018, 11:59:02 am »

Here is an example of error from Genero Studio output when you rebuild the Phonedemo.4pw project to create the Phonedemo.apk file :

Quote
[...]
FAILURE: Build failed with an exception.

* What went wrong:
Could not resolve all files for configuration ':app:unsignedReleaseCompileClasspath'.
> Could not find play-services-basement.aar (com.google.android.gms:play-services-basement:15.0.1).
  Searched in the following locations:
      https://jcenter.bintray.com/com/google/android/gms/play-services-basement/15.0.1/play-services-basement-15.0.1.aar
> Could not find support-vector-drawable.aar (com.android.support:support-vector-drawable:27.1.1).
  Searched in the following locations:
      https://jcenter.bintray.com/com/android/support/support-vector-drawable/27.1.1/support-vector-drawable-27.1.1.aar
> Could not find livedata-core.aar (android.arch.lifecycle:livedata-core:1.1.0).
  Searched in the following locations:
      https://jcenter.bintray.com/android/arch/lifecycle/livedata-core/1.1.0/livedata-core-1.1.0.aar
> Could not find viewmodel.aar (android.arch.lifecycle:viewmodel:1.1.0).
  Searched in the following locations:
      https://jcenter.bintray.com/android/arch/lifecycle/viewmodel/1.1.0/viewmodel-1.1.0.aar
> Could not find runtime.aar (android.arch.core:runtime:1.1.0).
  Searched in the following locations:
      https://jcenter.bintray.com/android/arch/core/runtime/1.1.0/runtime-1.1.0.aar
[...]
Pages: [1]
  Reply  |  Print  
 
Jump to:  

Powered by SMF 1.1.21 | SMF © 2015, Simple Machines